Servoy 7.4.7

Servoy announcements

Re: Servoy 7.4.7

Postby jcompagner » Wed Jun 08, 2016 9:59 am

you have to add them back manually i guess

for servoy 7.x the update site is: http://download.servoy.com/developer/70x_updates/
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 7977
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 7.4.7

Postby steve1376656734 » Thu Jun 09, 2016 3:25 pm

Tried thinking outside the box and installed a fresh Servoy Developer on a virtual machine. You can then go into the Preferences pane and click Install/Update -> Available Software Sites. When all the sites are listed highlight them all and select Export.
Screen grab.png

You can then import the settings on the machine that has lost them :D
You do not have the required permissions to view the files attached to this post.
Steve
SAN Developer
steve1376656734
 
Posts: 180
Joined: Fri Aug 16, 2013 2:38 pm
Location: Lanzarote

Re: Servoy 7.4.7

Postby lwjwillemsen » Wed Jun 15, 2016 8:55 am

I am trying to update developer (windows) to 7.4.7

Result:

An error occurred while collecting items to be installed
session context was:(profile=Servoy, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.servoy.eclipse.core,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.debug,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.designer,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.designer.rib,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.exporter.mobile,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.exporter.solution,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.exporter.war,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.jsunit,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.model,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.model.exporter.mobile,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.profiler,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.team,7.4.7.2045
No repository found containing: osgi.bundle,com.servoy.eclipse.ui,7.4.7.2045
No repository found containing: osgi.bundle,j2db_documentation,7.4.7.2045
No repository found containing: osgi.bundle,j2db_runtime,7.4.7.2045
No repository found containing: osgi.bundle,j2db_server,7.4.7.2045
No repository found containing: osgi.bundle,j2db_tunnel,7.4.7.2045
No repository found containing: osgi.bundle,org.eclipse.dltk.javascript.rhino,7.4.7.2045
No repository found containing: osgi.bundle,servoy_base,7.4.7.2045
No repository found containing: osgi.bundle,servoy_debug,7.4.7.2045
No repository found containing: osgi.bundle,servoy_headless_client,7.4.7.2045
No repository found containing: osgi.bundle,servoy_shared,7.4.7.2045
No repository found containing: osgi.bundle,servoy_smart_client,7.4.7.2045
No repository found containing: org.eclipse.update.feature,com.servoy.eclipse.feature,7.4.7.2045
No repository found containing: binary,servoy.root.feature_root,7.4.7.2045
No repository found containing: binary,servoy_root.win32.win32.x86_64,7.4.7.2045
Lambert Willemsen
Vision Development BV
lwjwillemsen
 
Posts: 569
Joined: Sat Mar 14, 2009 5:39 pm
Location: The Netherlands

Re: Servoy 7.4.7

Postby jcompagner » Wed Jun 15, 2016 2:14 pm

that mostly means some caching problem or you don't have any update sites?

What does the preference say in install/update section?

If you do have there the default servoy update site then copy/paste it
Remove it, then restart the developer and add it back in then try to do the update.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 7977
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 7.4.7

Postby lwjwillemsen » Wed Jun 15, 2016 3:26 pm

The remove, restart tric did it!
No problem when I updated to 7.4.6 so what is going on?
Lambert Willemsen
Vision Development BV
lwjwillemsen
 
Posts: 569
Joined: Sat Mar 14, 2009 5:39 pm
Location: The Netherlands

Re: Servoy 7.4.7

Postby lwjwillemsen » Wed Jun 15, 2016 3:34 pm

After updating to 7.4.7 I also lost all of my update sites :cry:
Lambert Willemsen
Vision Development BV
lwjwillemsen
 
Posts: 569
Joined: Sat Mar 14, 2009 5:39 pm
Location: The Netherlands

Re: Servoy 7.4.7

Postby jcompagner » Wed Jun 15, 2016 3:49 pm

that is just some caching issue that i have seen before.

So in your case after you upgraded the update sites are gone? No idea how that can happen (the other report was that it couldn't update to 7.4.7 because it was already gone), this is pure eclipse code, so not directly code of servoy.

Edit: it seems to be happening sometimes to more people: http://stackoverflow.com/questions/2337 ... pse-update
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 7977
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Servoy 7.4.7

Postby amcgilly » Fri Jun 17, 2016 2:49 am

rafig wrote:Hi,
just updated at a client on my local developer copy and it is now not seeing my 'User & Group Security' file!
The file is there, SVN sees it, I can open it in a text editor and it is exactly how it was prior to update, but Servoy is only showing me a default 'Administrator' user and no groups etc.
I tried copying over the security file from an earlier version, still no luck.
Is this known about, can you fix it??
:(
Thanks
Rafi



I'm having the same problem with a solution that was saved to SVN from 7.4.5 and retrieved from SVN into 7.4.7 on a different machine.

I also get this error in the Problems tab:

Code: Select all
Bad User/Security information: Element with UUID 58abe663-c2f2-4260-aeb0-f5aa7a6e4157 on form compactors_rec does not exist, but has an access mask specified...


even though an element with that UUID DOES exist. I think this has to do with lowercase/uppercase UUIDs again because after much trial and error I discovered that if I change the element's UUID manually to uppercase in the compactors_rec.sec file then this error goes away (and is replaced by the same error message for another element with an access mask).

Also when I look at the security tab of any form in my solution, no elements show up in the list even though there are named elements on the form.

If I activate a different solution in whch NO elements have security settings, then I see all my groups and all my elements as expected. And if I add new security to an element, it gets saved in the .sec file with an uppercase UUID.

BTW fileVersion in rootMetaData for this solution is 43, and it hasn't changed to 44 even after restarting servoy, deactivating/reactivating solution. If there is a conversion that's supposed to happen, it doesn't seem to be happening.

I hope we can find a solution to this. Thanks.
Adrian McGilly
Servoy Developer

Image
amcgilly
 
Posts: 374
Joined: Fri Dec 09, 2005 12:03 am
Location: San Francisco, CA

Re: Servoy 7.4.7

Postby rafig » Fri Jun 17, 2016 11:33 am

Adrian, Johan seems to have fixed this issue and I think there might be another release coming soon that will have the fix in it.

Rafi
Servoy Certified Developer
Image
rafig
 
Posts: 481
Joined: Mon Dec 22, 2003 12:58 pm
Location: Watford, UK

Re: Servoy 7.4.7

Postby lwjwillemsen » Fri Jun 17, 2016 1:10 pm

Next one, major!

Webclient 7.4.7 : All our typeaheads with valuelist by global method turn red after selecting a line out the list
and a choice/selection is no longer possible !!!

https://support.servoy.com/browse/SVY-10052
Lambert Willemsen
Vision Development BV
lwjwillemsen
 
Posts: 569
Joined: Sat Mar 14, 2009 5:39 pm
Location: The Netherlands

Re: Servoy 7.4.7

Postby amcgilly » Thu Jun 23, 2016 5:14 am

Adrian, Johan seems to have fixed this issue and I think there might be another release coming soon that will have the fix in it.

Rafi


While I'm waiting for this to be fixed, it would be helpful if I could do fresh install of Developer 7.4.5 or 7.4.6 on a new Windows 7 machine. Is there a way to do that at this time? I have a 7.4.1 installer and with that plus servoy_updater.jar I was able to update to a 7.4.5 app server but Developer is still 7.4.1. Meanwhile "Check for Updates" in Servoy Developer only lets me install 7.4.7.

Thanks.
Adrian McGilly
Servoy Developer

Image
amcgilly
 
Posts: 374
Joined: Fri Dec 09, 2005 12:03 am
Location: San Francisco, CA

Previous

Return to Announcements

Who is online

Users browsing this forum: No registered users and 2 guests